% computeToyValue.m
% reads a text file of information about a toy inventory 
% and computes the total value of the toys

fid = fopen('toys.txt');
tokens = textscan(fid, '%s', 'HeaderLines', 1);
fclose(fid);

% reassign tokens to the inner cell array of strings
tokens = tokens{1};
totalValue = 0.0;           % initialize total value
for index = 1:length(tokens)
    token = tokens{index};  % get the next string
    if (token(1) == '$')
        % if the string is a toy cost starting with $, get the 
        % numerical cost, quantity, and add value to the total
        price = str2double(token(2:end));
        quantity = str2double(tokens{index+1});
        totalValue = totalValue + price*quantity;
    end
end
disp(['total: $' num2str(totalValue)])
 